Bug 241175 - x11/xlockmore: please remove --without-ttf and add --with-ttf flag to port Makefile
Summary: x11/xlockmore: please remove --without-ttf and add --with-ttf flag to port Ma...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-10 11:16 UTC by vermaden
Modified: 2019-12-13 16:48 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jgh)


Attachments
patch to enable FREETYPE (ttf) options (1.42 KB, text/plain)
2019-10-23 01:31 UTC, Jason Helfman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2019-10-10 11:16:51 UTC
I know it has been removed in the past but xlockmore looks so ugly without it ...
Comment 1 Jason Helfman freebsd_committer 2019-10-23 01:31:19 UTC
Created attachment 208517 [details]
patch to enable FREETYPE (ttf) options

Can you please try this patch and let me know if this meets your needs?
Comment 2 vermaden 2019-10-28 17:07:09 UTC
Hi,

I see two issues.

After applying patch and doing 'make rmconfig' the next 'make config' did not had FREETYPE enabled.

I enabled [x] it by hand and went on with compilation.

It seems that the -font and -planfont arguments are ignored :/

It looks like that:
https://vermaden.files.wordpress.com/2019/10/xlockmore-no-font-argument.png

No matter which font I would setup.

For the record this is how I launch xlock:


  FONT='-*-fixed-*-*-*-*-10-*-*-*-*-*-iso8859-2'
  xlock \
    -mode image \
    -font     "${FONT}" \
    -planfont "${FONT}" \
    -username 'user: ' \
    -password 'pass:' \
    -info ' ' \
    -validate 'Checking.' \
    -invalid 'Nope. ' \
    -background gray20 \
    -foreground gray60 \
    -dpmsoff 1 \
    -icongeometry 64x64 \
    -echokeys \
    -echokey '*' \
    -bitmap /home/vermaden/.icons/vermaden/xlock.xpm \
    -count 1 \
    -delay 10000000 \
    -erasemode no_fade \
    +showdate \
    +description


This is how it looked when it respected the 'font' options:
https://vermaden.files.wordpress.com/2018/06/xlock-user-pass.png

To be honest I am not able to find configure args to make it respect these fonts anymore :/

Not sure if that helps.

Regards.
Comment 3 Jason Helfman freebsd_committer 2019-10-28 17:17:46 UTC
(In reply to vermaden from comment #2)

Can you please include the log of applying this patch? FREETYPE is a newly enabled option in the port with this patch.

I launched xlock with the same options you had supplied, and received the same output that you are suggesting in this pr.
Comment 4 Jason Helfman freebsd_committer 2019-10-28 17:21:11 UTC
(In reply to vermaden from comment #2)

My bad. I see what you are noting. It is not enabled by default, and this is why it doesn't have an [x] in it, and you need to take care of it manually. If you feel these options are ignored, you might want to submit a bug upstream to vendor.

http://sillycycle.com/xlockmore.html
Comment 5 Jason Helfman freebsd_committer 2019-12-13 16:48:06 UTC
Committed. Thanks for the suggestion!
Comment 6 commit-hook freebsd_committer 2019-12-13 16:48:25 UTC
A commit references this bug:

Author: jgh
Date: Fri Dec 13 16:47:45 UTC 2019
New revision: 520055
URL: https://svnweb.freebsd.org/changeset/ports/520055

Log:
  - update to 5.61
  - enable ttf [1]

  PR:		241175 [1]
  Reported by:	vermaden@interia.pl [1]

Changes:
  head/x11/xlockmore/Makefile
  head/x11/xlockmore/distinfo